## libsoup3 3.0.5

=== debian/changelog ===
libsoup3 (3.0.5-1) unstable; urgency=medium

  * New upstream release
  * Drop test patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 14:47:42 -0400

libsoup3 (3.0.4-4) unstable; urgency=medium

  * Team upload
  * d/rules: Increase test timeouts.
    http2-body-stream-test timed out on mipsel and riscv64 machines.
    Ideally we should extend the timeout for particularly slow tests
    upstream, but for now, just apply a multiplier so we can see how long
    they take in practice.
  * d/patches: Add more debug-logging for starting/stopping Apache.
    This will hopefully help to debug intermittent test failures in which
    Apache fails to bind to a port that is already in use.

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2022 12:21:59 +0000

libsoup3 (3.0.4-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * debian/control.in: Have libsoup-3.0-dev depend on libsysprof-4-dev
    per its pkgconfig file

  [ Simon McVittie ]
  * d/p/tests-Install-http2-server.py.patch,
    d/p/tests-Install-missing-test-cert-and-key-for-installed-tes.patch:
    Add patches to install http2-server.py and some test TLS certificates,
    fixing an autopkgtest
  * d/patches: Remove workarounds for libsoup#175.
    A better workaround for glib#2563 was merged upstream before 3.0.4.
  * d/control.in: installed-tests depend on python3 and python3-quart
  * d/control.in: Fix Vcs-Git, Vcs-Browser for this source package name
  * Upload to unstable.
    Please coordinate with the GNOME team before transitioning other
    packages to use this version of libsoup: it is important that we avoid
    trying to load libsoup 2 and libsoup 3 into the same process space.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Mar 2022 13:09:07 +0000

libsoup3 (3.0.4-2) experimental; urgency=medium

  * debian/* Fix several libsoup-3.0 missing hyphens. Thanks Alberto Garcia.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 11:25:39 -0500

libsoup3 (3.0.4-1) experimental; urgency=medium

  * New upstream release (Closes: #1006006)
  * Rename packages for new major release with new namespace
  * debian/libsoup-3.0-0.symbols: Update
  * debian/control.in: Bump minimum meson to 0.53 & libglib2.0-dev to 2.69
  * debian/control.in: Build-Depend on libnghttp2-dev
  * debian/control.in: Build-Depend on libsysprof-capture-4-dev
  * debian/control.in: Build-Depend on winbind for NTLM support
  * debian/control.in: Build-Depend on libgnutls28-dev & python3-quart
    for build tests
  * debian/control.in: Drop obsolete libxml2 & php-xmlrpc dependencies
  * debian/rules: Update build flags for new version
  * debian/rules: Disable autobahn tests
  * Update patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 18 Feb 2022 14:56:10 -0500

libsoup2.4 (2.74.2-3) unstable; urgency=medium

  * Team upload
  * Source-only upload to allow testing migration
  * Move to debhelper compat level 13
  * Standards-Version: 4.6.0 (no changes required)
  * Override Lintian errors for RUNPATH in installed-tests.
    These have a private shared library for common code.
  * Override overzealous Lintian hint for documentation outside /usr/share/doc
  * d/p/tests-add-soup_test_build_filename_abs.patch,
    d/p/test-utils-Log-Apache-arguments.patch,
    d/p/test-utils-Save-Apache-server-root-during-initialization.patch:
    Add patches to fix unit test teardown for XMLRPC tests
  * Adjust PHP dependencies.
    php currently has a complicated version number as a result of a
    transition to PHP 8 that was started and then rolled back.
  * d/p/Record-Apache-error-log-for-unit-tests-and-show-it-during.patch:
    Add patch to display Apache error log in test diagnostics
  * d/p/Mark-XMLRPC-tests-as-flaky.patch:
    Add patch to treat tests based on php-xmlrpc as unreliable

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 20:33:29 +0000

libsoup2.4 (2.74.2-2) unstable; urgency=medium

  * Add libsoup2.4-common package for translations

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 28 Nov 2021 16:04:43 -0500

libsoup2.4 (2.74.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 28 Nov 2021 15:57:59 -0500

libsoup2.4 (2.74.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Allow building against php8
  * debian/control.in: Add php8 as an alternate dependency to php-xmlrpc

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 20:43:30 -0400

libsoup2.4 (2.74.0-3) unstable; urgency=medium

  * Drop vala patch since vala 0.54 is in Debian (Closes: #997243)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 23 Oct 2021 15:38:01 -0400

libsoup2.4 (2.74.0-2) unstable; urgency=medium

  * Add patch to revert commit applied for use with vala 0.53.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 19:13:26 -0400

libsoup2.4 (2.74.0-1) unstable; urgency=medium

  * New upstream release
  * Drop three patches applied in new release
  * Don't let debhelper 13.4+ make all the installed-tests executable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Aug 2021 20:45:31 -0400

libsoup2.4 (2.72.0-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable, to unblock upload of GLib 2.68.x

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:06:06 +0100

libsoup2.4 (2.72.0-3) experimental; urgency=medium

  * d/p/tests-connection-test-Update-expected-events-for-GLib-2.6.patch. Fix
    test compatibility with glib 2.67.0

 -- Iain Lane <laney@debian.org>  Thu, 04 Mar 2021 22:05:29 +0000

libsoup2.4 (2.72.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gitlab_tests_fix.patch:
    Update patch metadata to reflect it being applied upstream
  * Amend 2.71.1-1 changelog entry to reflect that patch fixing tests when
    run against glib-networking >= 2.65.90 (see #970935)
  * d/p/tests-ensure-we-use-an-absolute-path-for-apache-server-ro.patch:

