## libsoup3 3.0.7

=== debian/changelog ===
libsoup3 (3.0.7-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1980400)
  * debian/libsoup-3.0-0.symbols: Drop 2 unused symbols no longer exported

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 30 Jun 2022 15:10:11 -0400

libsoup3 (3.0.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.54

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 16:47:01 -0400
