=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: libsoup3
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
@@ -26,7 +27,7 @@
                libpsl-dev (>= 0.20),
                libsqlite3-dev,
                libsysprof-capture-4-dev [linux-any],
-               meson (>= 0.53),
+               meson (>= 0.54),
                php (<< 2:9) <!nocheck> <!noinsttest>,
                php (>= 2:7) <!nocheck> <!noinsttest>,
                python3-quart <!nocheck>,
@@ -34,8 +35,8 @@
                winbind
 Build-Depends-Indep: libglib2.0-doc
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3
-Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git -b ubuntu/jammy
 Homepage: https://wiki.gnome.org/Projects/libsoup
 Rules-Requires-Root: no
