## libsoup3 3.1.4

=== debian/changelog ===
libsoup3 (3.1.4-1~bpo11+1) bullseye-backports; urgency=medium

  * d/control.in: add Marc Leeman to uploaders
  * debian: do not run the tests
  * d/symbols: update

 -- Marc Leeman <m.leeman@televic.com>  Wed, 28 Sep 2022 14:05:25 +0200

libsoup3 (3.1.4-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Eric Long ]
  * Add patch to fix build test timeout on riscv64 (Closes: #1018709)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 16:23:08 -0400

libsoup3 (3.1.3-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix unsatisfiable dependency on non-Linux (Closes: #1017758)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 16:23:16 -0400

libsoup3 (3.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jesús Soto <jesus.soto@canonical.com>  Tue, 16 Aug 2022 14:23:55 -0500

libsoup3 (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch
  * Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/libsoup-3.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 08:20:06 -0400

libsoup3 (3.0.7-1) unstable; urgency=medium

  * New upstream release (LP: #1980400)
  * debian/libsoup-3.0-0.symbols: Drop 2 unused symbols no longer exported

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 30 Jun 2022 15:10:11 -0400

libsoup3 (3.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * d/control.in: add Marc Leeman to uploaders
  * debian: do not run the tests
  * d/symbols: update
  * d/control: add Marc Leeman to Uploaders

 -- Marc Leeman <m.leeman@televic.com>  Thu, 21 Apr 2022 13:16:23 +0200
