=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Source: libsoup3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>,
+            Marc Leeman <m.leeman@televic.com>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                glib-networking (>= 2.32.0),
-               gtk-doc-tools,
+               gi-docgen,
                libapache2-mod-php (<< 2:9) <!nocheck> <!noinsttest>,
                libapache2-mod-php (>= 2:7) <!nocheck> <!noinsttest>,
                libbrotli-dev,
@@ -35,8 +35,8 @@
                winbind
 Build-Depends-Indep: libglib2.0-doc
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3
+Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
 Rules-Requires-Root: no
 
@@ -51,7 +51,7 @@
          libpsl-dev (>= 0.20),
          libsoup-3.0-0 (= ${binary:Version}),
          libsqlite3-dev,
-         libsysprof-4-dev,
+         libsysprof-4-dev [linux-any],
          zlib1g-dev,
          ${misc:Depends}
 Suggests: libsoup-3.0-doc
