=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+
+# No testing atm
+DEB_BUILD_OPTIONS+=nocheck
 
 built_binaries := $(shell dh_listpackages)
 
@@ -21,7 +24,6 @@
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
 		-Dautobahn=disabled \
-		-Dgtk_doc=true \
 		-Dinstalled_tests=true \
 		$(SYSPROF)
