=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libsoup/cache.json \
	3[\d.]+/libsoup-([\d.]+)@ARCHIVE_EXT@
