## libsoup3 3.2.0

=== debian/changelog ===
libsoup3 (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2022 16:04:35 -0400
