## libsoup3 3.2.2

=== debian/changelog ===
libsoup3 (3.2.2-2) unstable; urgency=medium

  * Temporarily disable sysprof on hppa
  * Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 14:57:12 -0500

libsoup3 (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * Drop cherry-picked 32-bit patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Nov 2022 15:11:19 -0500

libsoup3 (3.2.1-2) unstable; urgency=medium

  * Cherry-pick patches to fix 32-bit build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2022 14:09:33 -0400

libsoup3 (3.2.1-1) unstable; urgency=medium

  * New upstream release (LP: #1992503)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 15:19:46 -0400
