=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
@@ -25,7 +25,7 @@
                libnss-myhostname [linux-any] <!nocheck>,
                libpsl-dev (>= 0.20),
                libsqlite3-dev,
-               libsysprof-capture-4-dev [linux-any],
+               libsysprof-capture-4-dev [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
                meson (>= 0.54),
                php (<< 2:9) <!nocheck> <!noinsttest>,
                php (>= 2:7) <!nocheck> <!noinsttest>,
@@ -34,8 +34,8 @@
                winbind
 Build-Depends-Indep: libglib2.0-doc
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3
-Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3/tree/debian/bookworm
+Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git -b debian/bookworm
 Homepage: https://wiki.gnome.org/Projects/libsoup
 Rules-Requires-Root: no
 
@@ -50,7 +50,7 @@
          libpsl-dev (>= 0.20),
          libsoup-3.0-0 (= ${binary:Version}),
          libsqlite3-dev,
-         libsysprof-4-dev [linux-any],
+         libsysprof-capture-4-dev [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
          zlib1g-dev,
          ${misc:Depends}
 Suggests: libsoup-3.0-doc
