=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
+               ca-certificates <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-gir,
@@ -170,6 +171,7 @@
 Section: misc
 Architecture: any
 Depends: apache2 (>= 2.4),
+         ca-certificates,
          curl,
          libapache2-mod-php (<< 2:9),
          libapache2-mod-php (>= 2:7),
