## libsoup3 3.4.0

=== debian/changelog ===
libsoup3 (3.4.0-1) experimental; urgency=medium

  * New upstream release
  * Cherry-pick fix for build on various architectures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2023 18:12:58 -0400

libsoup3 (3.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/libsoup-3.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 11:35:19 -0500
