## libsoup3 3.4.2

=== debian/changelog ===
libsoup3 (3.4.2-4) unstable; urgency=medium

  * Revert "d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el":
    The underlying issue was fixed in meson 1.2.1
  * Have -dev package depend on libsysprof-capture-4-dev instead of
    libsysprof-4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 09:55:02 -0400

libsoup3 (3.4.2-3) unstable; urgency=medium

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    Mitigates: #1041499

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 11:37:09 -0400

libsoup3 (3.4.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 15:55:23 -0400

libsoup3 (3.4.2-1) experimental; urgency=medium

  * New upstream release
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 May 2023 10:46:02 -0400

libsoup3 (3.4.1-1) experimental; urgency=medium

  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Apr 2023 10:56:33 +0200
