## libsoup3 3.4.3

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
-               ca-certificates <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-gir,
@@ -26,7 +25,7 @@
                libnss-myhostname [linux-any] <!nocheck>,
                libpsl-dev (>= 0.20),
                libsqlite3-dev,
-               libsysprof-capture-4-dev [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
+               libsysprof-capture-4-dev [linux-any],
                meson (>= 0.54),
                php (<< 2:9) <!nocheck> <!noinsttest>,
                php (>= 2:7) <!nocheck> <!noinsttest>,
@@ -34,9 +33,9 @@
                valac,
                winbind
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3/tree/debian/bookworm
-Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git -b debian/bookworm
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3
+Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git
 Homepage: https://wiki.gnome.org/Projects/libsoup
 Rules-Requires-Root: no
 
@@ -46,12 +45,12 @@
 Multi-Arch: same
 Depends: gir1.2-soup-3.0 (= ${binary:Version}),
          libbrotli-dev,
-         libglib2.0-dev (>= 2.69),
+         libglib2.0-dev (>= 2.69.1),
          libnghttp2-dev,
          libpsl-dev (>= 0.20),
          libsoup-3.0-0 (= ${binary:Version}),
          libsqlite3-dev,
-         libsysprof-capture-4-dev [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
+         libsysprof-capture-4-dev [linux-any],
          zlib1g-dev,
          ${misc:Depends}
 Suggests: libsoup-3.0-doc
@@ -171,7 +170,6 @@
 Section: misc
 Architecture: any
 Depends: apache2 (>= 2.4),
-         ca-certificates,
          curl,
          libapache2-mod-php (<< 2:9),
          libapache2-mod-php (>= 2:7),
