=== debian/control ===
--- 
+++ 
@@ -1,34 +1,32 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libsoup3
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
-Build-Depends: apache2 (>= 2.4) <!nocheck> <!noinsttest>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Build-Depends: apache2 <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               glib-networking (>= 2.32.0),
+               gir1.2-gio-2.0-dev,
+               glib-networking,
                gi-docgen,
-               libapache2-mod-php (<< 2:9) <!nocheck> <!noinsttest>,
-               libapache2-mod-php (>= 2:7) <!nocheck> <!noinsttest>,
+               libapache2-mod-php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
+               libapache2-mod-php [!i386] <!nocheck> <!noinsttest>,
                libbrotli-dev,
-               libgirepository1.0-dev (>= 0.9.5),
+               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.69),
-               libgnutls28-dev (>= 3.6.0) <!nocheck>,
+               libgnutls28-dev <!nocheck>,
                libkrb5-dev,
                libnghttp2-dev,
                libnss-myhostname [linux-any] <!nocheck>,
-               libpsl-dev (>= 0.20),
+               libpsl-dev,
                libsqlite3-dev,
                libsysprof-capture-4-dev [linux-any],
-               meson (>= 0.54),
-               php (<< 2:9) <!nocheck> <!noinsttest>,
-               php (>= 2:7) <!nocheck> <!noinsttest>,
+               meson,
+               php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
+               php [!i386] <!nocheck> <!noinsttest>,
                python3-quart <!nocheck>,
                valac,
                winbind
@@ -47,13 +45,15 @@
          libbrotli-dev,
          libglib2.0-dev (>= 2.69.1),
          libnghttp2-dev,
-         libpsl-dev (>= 0.20),
+         libpsl-dev,
          libsoup-3.0-0 (= ${binary:Version}),
          libsqlite3-dev,
          libsysprof-capture-4-dev [linux-any],
          zlib1g-dev,
+         ${gir:Depends},
          ${misc:Depends}
 Suggests: libsoup-3.0-doc
+Provides: ${gir:Provides}
 Description: HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -80,7 +80,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: glib-networking (>= 2.32.0),
+Depends: glib-networking,
          libsoup-3.0-common,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -169,12 +169,12 @@
 Build-Profiles: <!noinsttest>
 Section: misc
 Architecture: any
-Depends: apache2 (>= 2.4),
+Depends: apache2,
          curl,
-         libapache2-mod-php (<< 2:9),
-         libapache2-mod-php (>= 2:7),
+         libapache2-mod-php (<< 2:9) [!i386],
+         libapache2-mod-php [!i386],
          libnss-myhostname [linux-any],
-         php,
+         php [!i386],
          python3,
          python3-quart,
          ${misc:Depends},
