=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
-
-# No testing atm
-DEB_BUILD_OPTIONS+=nocheck
 
 built_binaries := $(shell dh_listpackages)
 
@@ -17,6 +14,13 @@
 SYSPROF = -Dsysprof=disabled
 endif
 
+# Some features are needed whenever we have build-time *or* installed tests
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter %-tests,$(built_binaries)),nocheck)
+test_features = enabled
+else
+test_features = disabled
+endif
+
 %:
 	dh $@
 
@@ -25,6 +29,7 @@
 		-Dauto_features=enabled \
 		-Dautobahn=disabled \
 		-Dinstalled_tests=true \
+		-Dpkcs11_tests=$(test_features) \
 		$(SYSPROF)
 
 # TODO: Reduce the multiplier, and/or extend individual tests' timeouts
@@ -41,3 +46,6 @@
 	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/libsoup*/*.so
 	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
 endif
+
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control
