=== debian/tests/control ===
Tests: installed-tests
Depends: dbus,
         gnome-desktop-testing,
         libsoup-3.0-tests,
         winbind,
         xauth,
         xvfb
Restrictions: allow-stderr isolation-container

Tests: flaky
Depends: dbus,
         gnome-desktop-testing,
         libsoup-3.0-tests,
         winbind,
         xauth,
         xvfb
Restrictions: allow-stderr flaky isolation-container

Tests: libsoup-3.0-dev
Depends: build-essential,
         dbus,
         libsoup-3.0-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial
